﻿Imports System

Namespace ServerSIP

    Class cVaxCall

        Public Sub New()
        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub OnIncomingCall(ByVal nSessionId As Integer, ByVal sCallerName As String, ByVal sCallerId As String, ByVal sDialNo As String, ByVal nFromPeerType As Integer, ByVal sFromPeerName As String, ByVal sToPeerName As String, ByRef bProcessed As Boolean)

            bProcessed = False
            If sDialNo.Length = 0 OrElse sToPeerName.Length = 0 Then Return

            If Not cVaxServerSIP.mVaxSIP.AcceptCallSession(nSessionId, "", "", sDialNo, sToPeerName, "") Then
                cVaxServerSIP.mVaxSIP.RejectCallSession(nSessionId, 404, "Not Found")
                Return
            End If

            AdjustVoiceType(nSessionId, True, sFromPeerName)
            AdjustVoiceType(nSessionId, False, sToPeerName)

            bProcessed = True

        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Private Sub AdjustVoiceType(ByVal nSessionId As Integer, ByVal bIsInboundCall As Boolean, ByVal sPeerName As String)

            Dim nChannelId As Integer = cVaxServerCOM.VAX_CALL_CHANNEL_ZERO

            If bIsInboundCall Then
                nChannelId = cVaxServerCOM.VAX_CALL_CHANNEL_ZERO
            Else
                nChannelId = cVaxServerCOM.VAX_CALL_CHANNEL_ONE
            End If

            Dim nVoiceType As Integer = cVaxUser.GetVoiceTypeId(sPeerName)
            If nVoiceType = cVaxServerCOM.VAX_AUDIO_TYPE_ADMIN Then nVoiceType = cVaxServerCOM.VAX_AUDIO_TYPE_USER

            cVaxServerSIP.mVaxSIP.AdjustCallSessionVoiceType(nSessionId, nChannelId, nVoiceType)

        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

    End Class

End Namespace
