﻿Imports System
Imports System.Collections

Namespace ServerSIP

    '////////////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////////////

    Class cVaxQueueDetails : Inherits cVaxHashTextData
        Public m_nMusicWaveId As Integer
        Public m_nDialToneWaveId As Integer
    End Class

    '////////////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////////////

    Class cVaxQueueList

        Private m_objQueueList As cVaxHashText = New cVaxHashText()

        Public Sub AddQueue(ByVal sQueueName As String, ByVal nMusicWaveId As Integer, ByVal nDialToneWaveId As Integer)

            m_objQueueList.RemoveData(sQueueName)

            Dim objDetails As cVaxQueueDetails = New cVaxQueueDetails()

            objDetails.m_nMusicWaveId = nMusicWaveId
            objDetails.m_nDialToneWaveId = nDialToneWaveId

            m_objQueueList.AddData(sQueueName, objDetails)

        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub RemoveQueue(ByVal sQueueName As String)
            m_objQueueList.RemoveData(sQueueName)
        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Function GetQueueMusicId(ByVal sQueueName As String) As Integer

            Dim objDetails As cVaxQueueDetails = CType(m_objQueueList.FindData(sQueueName), cVaxQueueDetails)
            If objDetails Is Nothing Then Return -1

            Return objDetails.m_nMusicWaveId

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Function GetQueueDialToneId(ByVal sQueueName As String) As Integer

            Dim objDetails As cVaxQueueDetails = CType(m_objQueueList.FindData(sQueueName), cVaxQueueDetails)
            If objDetails Is Nothing Then Return -1

            Return objDetails.m_nDialToneWaveId

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

    End Class

End Namespace
