﻿Imports System

Namespace ServerSIP

    Module cVaxDefine

        Public Const LINE_REG_TRYING As String = "line trying to register."
        Public Const LINE_REG_FAILED As String = "line failed to register."
        Public Const LINE_REG_SUCCESS As String = "line success to register."

        '////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////

        Public Const USER_UNREGISTER As String = "user unregistered successfully."
        Public Const USER_REG_SUCCESS As String = "user success to register."
        Public Const USER_REG_FAILED As String = "user failed to register."
        Public Const USER_REG_TRYING As String = "user trying to register."
        Public Const USER_NOT_FOUND As String = "user not found."

        '////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////

        Public Const GROUP_PROCESS_MODE_RING_ALL As String = "Ring All"
        Public Const GROUP_PROCESS_MODE_HUNT_RANDOM As String = "Hunt Random"
        Public Const GROUP_PROCESS_MODE_ROUND_ROBIN As String = "Round Robin"
        Public Const GROUP_PROCESS_MODE_LEAST_ANSWERED As String = "Least Answered"
        Public Const GROUP_PROCESS_MODE_LEAST_TALK_TIME As String = "Least Talk Time"
        Public Const GROUP_PROCESS_MODE_LONGEST_WAITING As String = "Longest Waiting"
        Public Const GROUP_PROCESS_MODE_PRIORITIZED_HUNT As String = "Prioritized Hunt"

        '////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////

        Public Const GROUP_PROCESS_MODE_PROCESS_TYPE_FREE As String = "Free"
        Public Const GROUP_PROCESS_MODE_PROCESS_TYPE_ANY As String = "Any"

        '////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////

        Public Const MUSIC_FILE_QUEUE As String = "Queue.wav"
        Public Const MUSIC_FILE_HOLD As String = "Hold.wav"
        Public Const MUSIC_FILE_DIAL_TONE As String = "DialTone.wav"
        Public Const MUSIC_FILE_CALL_PARKING As String = "Hold.wav"

        '////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////

        Function IsDigitAll(ByVal sStr As String) As Boolean

            Dim sDigit As String = "0123456789"

            For nCount As Integer = 0 To sStr.Length - 1

                If sDigit.IndexOf(sStr(nCount)) = -1 Then
                    Return False
                End If
            Next

            Return True

        End Function

    End Module

End Namespace
