﻿Imports System
Imports System.Collections

Namespace ServerSIP

    Class cStoreCOMM

        Const COMM_ROOT_PATH As String = "COMM\"

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Function SetListenPortSIP(ByVal nListenPort As Integer) As Boolean

            Dim sKeyPath As String = COMM_ROOT_PATH
            Dim objStore As cStoreRegistry = New cStoreRegistry()

            objStore.SetINT(sKeyPath, "ListenPortSIP", nListenPort)
            objStore.Close()

            Return True

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Function GetListenPortSIP() As Integer

            Dim sKeyPath As String = COMM_ROOT_PATH

            Dim objStore As cStoreRegistry = New cStoreRegistry()
            Dim nListenPortSIP As Integer = cVaxServerCOM.SIP_DEFAULT_PORT

            objStore.GetINT(sKeyPath, "ListenPortSIP", nListenPortSIP, cVaxServerCOM.SIP_DEFAULT_PORT)
            objStore.Close()

            Return nListenPortSIP

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Sub SetMusicFiles(ByVal sMusicHold As String, ByVal sMusicDialTone As String, ByVal sMusicCallPark As String)

            Dim sKeyPath As String = COMM_ROOT_PATH
            Dim objStore As cStoreRegistry = New cStoreRegistry()

            objStore.SetTEXT(sKeyPath, "MusicHold", sMusicHold)
            objStore.SetTEXT(sKeyPath, "MusicDialTone", sMusicDialTone)

            objStore.SetTEXT(sKeyPath, "MusicCallParking", sMusicCallPark)
            objStore.Close()

        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Sub GetMusicFiles(ByRef sMusicHold As String, ByRef sMusicDialTone As String, ByRef sMusicCallPark As String)

            Dim sKeyPath As String = COMM_ROOT_PATH
            Dim objStore As cStoreRegistry = New cStoreRegistry()

            objStore.GetTEXT(sKeyPath, "MusicHold", sMusicHold, cVaxDefine.MUSIC_FILE_HOLD)
            objStore.GetTEXT(sKeyPath, "MusicDialTone", sMusicDialTone, cVaxDefine.MUSIC_FILE_DIAL_TONE)
            objStore.GetTEXT(sKeyPath, "MusicCallParking", sMusicCallPark, cVaxDefine.MUSIC_FILE_CALL_PARKING)

            objStore.Close()

        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Shared Function IsDataStored() As Boolean

            Dim objStore As cStoreRegistry = New cStoreRegistry()

            Dim bResult As Boolean = objStore.IsKeyExist(COMM_ROOT_PATH)
            objStore.Close()

            Return bResult

        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

    End Class

End Namespace
