﻿Imports System
Imports System.Collections

Namespace ServerSIP

    Class cVaxHashTextData : Inherits Object

        Public m_sName As String
        Public m_objData As Object

    End Class

    '////////////////////////////////////////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////////////////////////////////////////

    Public Class cVaxHashText

        Private m_objDataList As Hashtable = Nothing

        Public Sub New()
            m_objDataList = New Hashtable(16)
        End Sub

        Public Sub New(ByVal nSize As Integer)
            m_objDataList = New Hashtable(nSize)
        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Private Function GenKey(ByVal sValue As String) As String
            Return sValue.ToLower()
        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub AddData(ByVal sName As String)
            AddData(sName, Nothing)
        End Sub

        Public Sub AddData(ByVal sName As String, ByVal objData As Object)

            RemoveData(sName)

            Dim objTextData As cVaxHashTextData = New cVaxHashTextData()

            objTextData.m_sName = sName
            objTextData.m_objData = objData

            m_objDataList.Add(GenKey(sName), objTextData)

        End Sub

        Public Sub RemoveData(ByVal sName As String)
            m_objDataList.Remove(GenKey(sName))
        End Sub

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Function FindData(ByVal sName As String) As Object

            If Not m_objDataList.ContainsKey(GenKey(sName)) Then Return Nothing

            Dim objTextData As cVaxHashTextData = CType(m_objDataList(GenKey(sName)), cVaxHashTextData)
            Return objTextData.m_objData

        End Function

        Public Function IsExistData(ByVal sName As String) As Boolean
            Return m_objDataList.ContainsKey(GenKey(sName))
        End Function

        '////////////////////////////////////////////////////////////////////////////////////////////////////////
        '////////////////////////////////////////////////////////////////////////////////////////////////////////

        Public Sub GetNameAll(ByRef objList As ArrayList)

            Dim objDataEnum As IDictionaryEnumerator = m_objDataList.GetEnumerator()
            Dim objDataEntry As DictionaryEntry

            While objDataEnum.MoveNext()
                objDataEntry = CType(objDataEnum.Current, DictionaryEntry)
                Dim objTextData As cVaxHashTextData = CType(objDataEntry.Value, cVaxHashTextData)
                objList.Add(objTextData.m_sName)
            End While

        End Sub

        Public Sub ClearAll()
            m_objDataList.Clear()
        End Sub

    End Class

End Namespace
